﻿#mapIterinary {
    background: silver;
    width: 100%;
    margin-bottom: 10px;
}

    #mapIterinary tr.odd, #mapIterinary thead td {
        background: lightGray;
    }

    #mapIterinary td.right {
        text-align: right;
    }

#map ul {
    text-indent: 0;
}

#map {
    display: none;
    position: relative;
    width: 100%;
    height: 480px;
    padding: 0px;
    margin: 0px;
    z-index: 900;
}



ul.olGroupLayerSwitcherList li {
    background: #FFFFFF none repeat scroll 0 0;
    border: 1px solid #005C09;
    color: #007700;
    cursor: pointer;
    float: right;
    list-style-image: none;
    list-style-type: none;
    margin: 0 5px 0 0;
    padding: 4px;
    text-decoration: none;
}

ul.olGroupLayerSwitcherList input {
    display: none;
}

#map span.loading {
    color: silver;
    font-size: 1.5em;
    height: 20%;
    left: 0;
    right: 0;
    margin: 0;
    padding: 0;
    position: absolute;
    top: 40%;
    text-align: center;
}


#map #buttons {
    margin: 0;
    padding: 0;
    position: absolute;
    right: 0;
    top: 5px;
    width: 400px;
    z-index: 1000;
}

#map .buttonsAll #buttons {
    float: right;
    margin: 0;
    padding: 0;
    position: relative;
}


.iterinaryOuter {
    display: none;
}

#iterinar tr.start, #iterinar tr.end {
    display: table-row !important;
}

/* zde turisticka mapa s POI */

.layerSelection {
    z-index: 1111;
    color: white;
    position: absolute;
    background-color: #248100;
    right: 60px;
    width: 380px;
    top: 0;
    display: none;
    padding: 5px 10px;
    margin: 5% auto;
    overflow-y: auto;
    max-height:90%;
}

    .layerSelection.active {
        display: block;
    }


    .layerSelection .ui-state-active,
    .layerSelection .ui-widget-content .ui-state-active,
    .layerSelection .ui-widget-header .ui-state-active,
    .layerSelection a.ui-button:active,
    .layerSelection .ui-button:active,
    .layerSelection .ui-button.ui-state-active:hover {
        background: #32643a;
        border: 1px solid #005C09;
    }

    .layerSelection .ui-visual-focus {
        box-shadow: 0 0 3px 1px #005C09;
    }

    .layerSelection .selectAll, .layerSelection .selectNone {
        border: 1px solid #005C09;
        background: #32643a;
        color: white;
        padding: 5px;
    }

    .layerSelection .ui-widget .ui-widget {
        margin-bottom: 5px;
    }

.chooseLayers {
    position: absolute;
    z-index: 1111;
    top: 15px;
    right: 30px;
    width: 120px;
    background: #FFFFFF none repeat scroll 0 0;
    border: 1px solid #005C09;
    color: #007700;
    cursor: pointer;
    margin: 0 5px 0 0;
    padding: 4px;
    text-decoration: none;
}

/*#map {
    position: absolute;
}*/


#map #buttons {
    top: 15px;
    right: 155px;
}



.layerSelection .accordion {
    position: relative;
    height: 100%;
    max-height: 100%;
    color: black;
}

.layerSelection-close_button, .mapDetail-close_button {
    width: 35px;
    position: absolute;
    top: 0;
    right: 0;
    height: 35px;
    text-align: center;
    text-decoration: none;
    background-color: #32643a;
    border: 1px solid #005C09;
    color: white;
}

    .layerSelection-close_button:hover {
        color: #e43b00;
    }

.olActiveGroupListItem {
    display: none;
}

.olMarkerIcon {
    cursor: pointer;
}

div.olMarkerLabel {
    background: none repeat scroll 0 0 #006600;
    padding: 2px 5px;
}

#mapDetail .related_cards .card {
    margin-bottom: 0;
   /* max-height: 240px;*/
}

    #mapDetail .related_cards .card img {
     /*   max-height: 200px;*/
    }

    @media only screen and (max-width: 600px) {
        .layerSelection {
        width: 100%;
        left: 0;
        right: 0;
        top: 0px;
        bottom: 0;
    }

 /*   #map #buttons {
        top: 55px;
        right: 0px;
    }*/
}

#mapDetail {
    width: 100%;
    left: 0;
    right: 0;
    bottom: 0;
    position: absolute;
    z-index: 1111;
}
